LinuxQuestions.org

LinuxQuestions.org (/questions/)
-   Slackware (http://www.linuxquestions.org/questions/slackware-14/)
-   -   why nvidia driver didn't load after i succesfully installed in my slack13.1? (http://www.linuxquestions.org/questions/slackware-14/why-nvidia-driver-didnt-load-after-i-succesfully-installed-in-my-slack13-1-a-830411/)

el_jauzaa 09-05-2010 02:13 AM

why nvidia driver didn't load after i succesfully installed in my slack13.1?
 
2 Attachment(s)
hi !

I have a problem (again) with my (another) PC.
This is about vga driver. I'm using an old agp card RIVA TNT2 M64 for my old PC that running slack13.1 32bit.
i downloaded the driver from nvidia.com (NVIDIA-Linux-x86-71.86.14-pkg1.run)
The installation going well nothing errors comes out.
But after i want to tes glxgears. it didn't run. And my xorg back to vesa again (but i configure to use nvidia driver). but why back to vesa again?after i install the driver, i change the file name xorg.conf-vesa to xorg.conf, but after reboot. it's change itself to xorg.conf-vesa again. The conclusion is : the driver didn't work in my box. isn't?
How to make the driver work in my old PC?

with my post i attach my xorg.0.log and xorg.conf-vesa

JackHair 09-05-2010 03:28 AM

Line 535 in the Xorg log shows:
(EE) Failed to initialize GLX extension (NVIDIA X driver not found)

It did however find the device:
(--) NV: Found NVIDIA RIVA TNT2 Model 64 at 01@00:00:0

It looks like the driver isn't installed properly, or maybe a conflict with other modules.

Might want to try a minimal xorg.conf with only:

Section "Device"
Identifier "NV AGP"
Driver "nvidia"
EndSection

ppr:kut 09-05-2010 03:55 AM

The 71.x driver series doesn't work with the xorg-server versions delivered in 13.1 and 13.0. Either use Slackware 12.2, if you need the proprietary driver, downgrade to an older release of X, or use a free driver.

el_jauzaa 09-06-2010 11:14 PM

Quote:

Originally Posted by ppr:kut (Post 4088465)
The 71.x driver series doesn't work with the xorg-server versions delivered in 13.1 and 13.0. Either use Slackware 12.2, if you need the proprietary driver, downgrade to an older release of X, or use a free driver.

thx...i will remove that proprietary driver.
btw, what about driver nvidia from slackbuild?
is that match with my old graphic card?

sorry for the late reply.

ppr:kut 09-07-2010 01:44 AM

Quote:

Originally Posted by el_jauzaa (Post 4089976)
thx...i will remove that proprietary driver.
btw, what about driver nvidia from slackbuild?
is that match with my old graphic card?

It's just a different install method of the same software. You still need the right version, which if you look closely is not available in repos after 12.2 (see here: http://slackbuilds.org/apps/nvidia-legacy71-driver/)

cwwilson721 09-07-2010 10:40 AM

You might want to look into the nouveau driver. 3d is limited, but....


All times are GMT -5. The time now is 04:30 PM.